- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QWebHistory Class Reference

Search for all occurrences

## Detailed Description

Definition at line 71 of file qwebhistory.h.

`#include <qwebhistory.h>`

List of all members.

## Public Member Functions
void | clear ()
QList< QWebHistoryItem > | items () const
QList< QWebHistoryItem > | backItems (int maxItems) const
QList< QWebHistoryItem > | forwardItems (int maxItems) const
bool | canGoBack () const
bool | canGoForward () const
void | back ()
void | forward ()
void | goToItem (const QWebHistoryItem &item)
QWebHistoryItem | backItem () const
QWebHistoryItem | currentItem () const
QWebHistoryItem | forwardItem () const
QWebHistoryItem | itemAt (int i) const
int | currentItemIndex () const
int | count () const
int | maximumItemCount () const
void | setMaximumItemCount (int count)
## Friends
class | QWebPage
class | QWebPagePrivate
QWEBKIT_EXPORT QDataStream & | operator>> (QDataStream &, QWebHistory &)
QWEBKIT_EXPORT QDataStream & | operator<< (QDataStream &, const QWebHistory &)

## Member Function Documentation

void clear | ( |  | ) |

Search for all occurrences

QList<QWebHistoryItem> items | ( |  | ) | const

Search for all occurrences

QList<QWebHistoryItem> backItems | ( | int | maxItems | ) | const

Search for all occurrences

QList<QWebHistoryItem> forwardItems | ( | int | maxItems | ) | const

Search for all occurrences

bool canGoBack | ( |  | ) | const

Search for all occurrences

bool canGoForward | ( |  | ) | const

Search for all occurrences

void back | ( |  | ) |

Search for all occurrences

void forward | ( |  | ) |

Search for all occurrences

void goToItem | ( | const QWebHistoryItem & | item | ) |

Search for all occurrences

QWebHistoryItem backItem | ( |  | ) | const

Search for all occurrences

QWebHistoryItem currentItem | ( |  | ) | const

Search for all occurrences

QWebHistoryItem forwardItem | ( |  | ) | const

Search for all occurrences

QWebHistoryItem itemAt | ( | int | i | ) | const

Search for all occurrences

int currentItemIndex | ( |  | ) | const

Search for all occurrences

int count | ( |  | ) | const

Search for all occurrences

int maximumItemCount | ( |  | ) | const

Search for all occurrences

void setMaximumItemCount | ( | int | count | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class QWebPage `[friend]`

Search for all occurrences

Definition at line 102 of file qwebhistory.h.

friend class QWebPagePrivate `[friend]`

Search for all occurrences

Definition at line 103 of file qwebhistory.h.

QWEBKIT_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QWebHistory & |
| ) |  | `[friend]`

QWEBKIT_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QWebHistory & |
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- QtWebKit/qwebhistory.h

QWebHistory QWebHistory QWebHistory QWebHistory QWebHistory QWebHistory QWebHistory QWebHistory QWebHistory QWebHistory
QWebHistory QWebHistory QWebHistory QWebHistory QWebHistory QWebHistory QWebHistory QWebHistory QWebHistory QWebHistory